Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159630 - missing KOI8-U codepage support in lingvocomponent
Summary: missing KOI8-U codepage support in lingvocomponent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 11:16 UTC by Anton Guda
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.108-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-10 15:23:13 UTC


Attachments (Terms of Use)
add KOI8-u codepage (deleted)
2005-06-06 11:19 UTC, Anton Guda
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 30133 None None None Never

Description Anton Guda 2005-06-06 11:16:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; ru) KHTML/3.4.0 (like Gecko)

Description of problem:
Suppors for Ukrainean KOI8-U support was dropped in 1.9.x.  
This bug was already fixed in ooo 1.1.3. 
With this bug ooo fail to spellcheck ukrainean words with capital letters. 

Version-Release number of selected component (if applicable):
openoffice.org-1.9.104-2 (>=1.9.x) (>=1.1.3 - ok)

How reproducible:
Always

Steps to Reproduce:
1. Install ooo. 
2. Add urainean dictionares, fix language.dat 
3. Load correct ukrainean document in Writer. 
   

Actual Results:  Correct words with capital chars marked as incorrect. 
Suggested to correct with small letter. 

Expected Results:  Correct words must not be marked as incorrect. 

Additional info:

Patch is ready, will be sent.

Comment 1 Anton Guda 2005-06-06 11:19:03 UTC
Created attachment 115162 [details]
add KOI8-u codepage

Comment 2 Caolan McNamara 2005-06-08 12:23:59 UTC
Was this patch and bug already logged against the mainstream openoffice.org
issuetracker ? If not I can do this.

Comment 3 Anton Guda 2005-06-08 14:05:27 UTC
AFAIK not logged.   

Comment 4 Caolan McNamara 2005-06-09 10:57:36 UTC
added patch, will be in 1.9.108-2 or above (see
http://www.openoffice.org/issues/show_bug.cgi?id=30133 for upstream report)


Note You need to log in before you can comment on or make changes to this bug.